## qps 1.4.4

=== Makefile ===
# Makefile for qps

#
# First, make sure INCLUDES and LDPATHS lines contain paths to the include
# and library directories for Qt.
#
INCLUDES=-I/usr/include/X11/qt
LDPATHS=-L/usr/X11R6/lib

#
# You may have to add -lX11 to this line, in case your linker complains.
#
LIBS=-lqt -lm

#
# if moc (the Qt meta object compiler) is not in your $PATH, you might need
# to specify its location here.
#
MOC=moc

CXXFLAGS=-g -O2 -pipe -Wall -Wconversion $(INCLUDES)
LDFLAGS=$(LDPATHS) $(LIBS)


####### You should not need to modify anything below this line. #######


SOURCES=qps.C pstable.C proc.C uidstr.C ttystr.C dialogs.C \
	checkmenu.C infobar.C fieldsel.C crossbox.C scheddlg.C \
	wchan.C details.C prefs.C htable.C lookup.C
HEADERS=qps.h pstable.h proc.h uidstr.h ttystr.h dialogs.h \
	checkmenu.h infobar.h fieldsel.h crossbox.h scheddlg.h \
	wchan.h details.h prefs.h htable.h lookup.h
OBJECTS=qps.o pstable.o proc.o uidstr.o ttystr.o dialogs.o \
	checkmenu.o infobar.o fieldsel.o crossbox.o scheddlg.o \
	wchan.o details.o prefs.o htable.o lookup.o
SRCMETA=moc_qps.C moc_pstable.C moc_dialogs.C \
        moc_fieldsel.C moc_scheddlg.C moc_details.C moc_prefs.C moc_infobar.C \
        moc_htable.C moc_lookup.C
OBJMETA=moc_qps.o moc_pstable.o moc_dialogs.o \
        moc_fieldsel.o moc_scheddlg.o moc_details.o moc_prefs.o moc_infobar.o \
        moc_htable.o moc_lookup.o
TARGET=qps

# Build rules

all: $(TARGET)

$(TARGET): $(SRCMETA) $(OBJECTS) $(OBJMETA)
	$(CC) $(OBJECTS) $(OBJMETA) -o $(TARGET) $(LDFLAGS)

clean:
	rm -f *.o *.bak *%
	rm -f $(SRCMETA) $(TARGET)

dist: $(TARGET)
	rm -f *.o *~ #*
	rm -f $(SRCMETA)

# Meta objects

moc_%.C: %.h
	$(MOC) $< -o $@

# deps

checkmenu.o: checkmenu.C checkmenu.h
crossbox.o: crossbox.C crossbox.h
details.o: details.C details.h htable.h svec.h proc.h lookup.h qps.h \
 pstable.h checkmenu.h infobar.h fieldsel.h crossbox.h prefs.h
dialogs.o: dialogs.C dialogs.h warn.xpm
fieldsel.o: fieldsel.C fieldsel.h crossbox.h proc.h svec.h
htable.o: htable.C htable.h svec.h svec.C
infobar.o: infobar.C infobar.h proc.h svec.h qps.h pstable.h htable.h \
 checkmenu.h fieldsel.h crossbox.h details.h lookup.h prefs.h
lookup.o: lookup.C lookup.h svec.h svec.C
moc_details.o: moc_details.C details.h htable.h svec.h proc.h lookup.h
moc_dialogs.o: moc_dialogs.C dialogs.h
moc_fieldsel.o: moc_fieldsel.C fieldsel.h crossbox.h proc.h svec.h
moc_htable.o: moc_htable.C htable.h svec.h
moc_infobar.o: moc_infobar.C infobar.h
moc_lookup.o: moc_lookup.C lookup.h svec.h
moc_prefs.o: moc_prefs.C prefs.h crossbox.h
moc_pstable.o: moc_pstable.C pstable.h htable.h svec.h proc.h
moc_qps.o: moc_qps.C qps.h pstable.h htable.h svec.h proc.h \
 checkmenu.h infobar.h fieldsel.h crossbox.h details.h lookup.h \
 prefs.h
moc_scheddlg.o: moc_scheddlg.C scheddlg.h
prefs.o: prefs.C prefs.h crossbox.h qps.h pstable.h htable.h svec.h \
 proc.h checkmenu.h infobar.h fieldsel.h details.h lookup.h
proc.o: proc.C qps.h pstable.h htable.h svec.h proc.h checkmenu.h \
 infobar.h fieldsel.h crossbox.h details.h lookup.h prefs.h \
 svec.C uidstr.h ttystr.h wchan.h
pstable.o: pstable.C pstable.h htable.h svec.h proc.h
qps.o: qps.C qps.h pstable.h htable.h svec.h proc.h checkmenu.h \
 infobar.h fieldsel.h crossbox.h details.h lookup.h prefs.h \
 dialogs.h scheddlg.h icon.xpm
scheddlg.o: scheddlg.C scheddlg.h dialogs.h
svec.o: svec.C svec.h
ttystr.o: ttystr.C ttystr.h
uidstr.o: uidstr.C uidstr.h
wchan.o: wchan.C wchan.h
