## qps 1.9.3-3.1

=== Makefile ===
# Makefile for qps

#
# First, make sure INCLUDES and LDPATHS lines contain paths to the include
# and library directories for Qt.
#
QTDIR=/usr/local/qt
INCLUDES=-I$(QTDIR)/include
LDPATHS=-L$(QTDIR)/lib

#
# Then, uncomment the right LIBS line for your architecture below:
#

# Linux: (You may have to add -lX11, in case your linker complains)
LIBS=-lqt -lm

# Solaris:
#LIBS=-lqt -lm -lkstat -lposix4 -lnsl -lsocket -L/usr/openwin/lib -lX11 -lXext

#
# if moc (the Qt meta object compiler) is not in your $PATH, you might need
# to specify its location here.
#
MOC=$(QTDIR)/bin/moc

#
# Your C++-compiler here.
#
CXX=g++

# You may need -fno-rtti in CXXFLAGS to compile with recent gcc/egcs versions.
CXXFLAGS=-g -O2 -Wall -W -Wconversion -pipe $(INCLUDES)
LDFLAGS=-g $(LDPATHS) $(LIBS)


####### You should not need to modify anything below this line. #######


SOURCES=qps.C pstable.C proc.C uidstr.C ttystr.C dialogs.C \
	checkmenu.C infobar.C fieldsel.C crossbox.C scheddlg.C \
	wchan.C prefs.C htable.C lookup.C details.C command.C
HEADERS=$(SOURCES:.C=.h)
OBJECTS=$(SOURCES:.C=.o)
SRCMETA=moc_qps.C moc_pstable.C moc_dialogs.C \
        moc_fieldsel.C moc_scheddlg.C \
	moc_prefs.C moc_infobar.C \
        moc_htable.C moc_lookup.C moc_details.C moc_command.C
OBJMETA=$(SRCMETA:.C=.o)
TARGET=qps

# Build rules

all: $(TARGET)

$(TARGET): $(OBJECTS) $(OBJMETA)
	$(CXX) $(OBJECTS) $(OBJMETA) -o $(TARGET) $(LDFLAGS)

$(OBJECTS): config.h

clean:
	rm -f *.o *.bak *%
	rm -f $(SRCMETA) $(TARGET)

dist: $(TARGET)
	rm -f *.o *~ #*
	rm -f $(SRCMETA)

# Meta objects

moc_%.C: %.h
	$(MOC) $< -o $@

# dependancy generator: gcc required
depend:
	sed '/^# DO NOT DELETE/,$$d' < Makefile > Makefile.new
	echo '# DO NOT DELETE THIS LINE' >> Makefile.new
	gcc $(INCLUDES) -MM $(SOURCES) >> Makefile.new
	mv Makefile.new Makefile

# DO NOT DELETE THIS LINE
qps.o: qps.C qps.h svec.h pstable.h htable.h proc.h config.h \
 checkmenu.h infobar.h fieldsel.h crossbox.h details.h lookup.h \
 prefs.h command.h dialogs.h scheddlg.h icon.xpm svec.C
pstable.o: pstable.C pstable.h htable.h svec.h proc.h config.h
proc.o: proc.C qps.h svec.h pstable.h htable.h proc.h config.h \
 checkmenu.h infobar.h fieldsel.h crossbox.h details.h lookup.h \
 prefs.h command.h svec.C uidstr.h ttystr.h wchan.h
uidstr.o: uidstr.C uidstr.h
ttystr.o: ttystr.C ttystr.h config.h
dialogs.o: dialogs.C dialogs.h warn.xpm
checkmenu.o: checkmenu.C checkmenu.h
infobar.o: infobar.C infobar.h proc.h config.h svec.h qps.h pstable.h \
 htable.h checkmenu.h fieldsel.h crossbox.h details.h lookup.h prefs.h \
 command.h
fieldsel.o: fieldsel.C fieldsel.h crossbox.h proc.h config.h svec.h
crossbox.o: crossbox.C crossbox.h
scheddlg.o: scheddlg.C scheddlg.h dialogs.h
wchan.o: wchan.C config.h wchan.h
prefs.o: prefs.C prefs.h crossbox.h qps.h svec.h pstable.h htable.h \
 proc.h config.h checkmenu.h infobar.h fieldsel.h details.h lookup.h \
 command.h
htable.o: htable.C htable.h svec.h svec.C
lookup.o: lookup.C lookup.h svec.h svec.C
details.o: details.C details.h config.h htable.h svec.h proc.h \
 lookup.h qps.h pstable.h checkmenu.h infobar.h fieldsel.h crossbox.h \
 prefs.h command.h svec.C
command.o: command.C command.h qps.h svec.h pstable.h htable.h proc.h \
 config.h checkmenu.h infobar.h fieldsel.h crossbox.h details.h \
 lookup.h prefs.h uidstr.h svec.C dialogs.h
