=== debian/changelog ===
qps (1.9.3-3.1) unstable frozen; urgency=low

  * NMU.
  * Added qt2.waiver, a notice from the author allowing qps to be
    linked against qt2.

 -- Hanno Wagner <wagner@debian.org>  Sun, 13 Feb 2000 13:28:34 -0500

qps (1.9.3-3) unstable; urgency=low

  * recompiled with libqt2

 -- Hanno Wagner <wagner@debian.org>  Sun, 12 Dec 1999 20:16:02 +0100

qps (1.9.3-2) unstable; urgency=low

  * NMU fixed.
  
 -- Hanno Wagner <wagner@debian.org>  Fri, 12 Nov 1999 21:28:06 +0100

qps (1.9.3-1) unstable; urgency=low

  * New upstream release

 -- Hanno Wagner <wagner@debian.org>  Tue,  9 Nov 1999 20:37:33 +0100

qps (1.4.4-1) unstable; urgency=low

  * New upstream release

 -- Hanno Wagner <wagner@debian.org>  Fri,  9 Oct 1998 09:28:27 +0200

qps (1.4.3-2) unstable; urgency=low

  * Added menu support (System)

 -- Hanno Wagner <wagner@debian.org>  Tue, 23 Jun 1998 12:36:52 +0200

qps (1.4.3-1) unstable; urgency=low

  * New upstream release

 -- Hanno Wagner <wagner@debian.org>  Fri, 19 Jun 1998 13:48:13 +0200

qps (1.4.2-1) unstable; urgency=low

  * New upstream release

 -- Hanno Wagner <wagner@linux.de>  Fri, 15 May 1998 11:46:28 +0200

qps (1.4-1) unstable; urgency=low

  * New upstream release
  
 -- Hanno Wagner <wagner@linux.de>  Tue, 12 May 1998 18:11:47 +0200

qps (1.3.4-1) unstable; urgency=low

  * New upstream release

 -- Hanno Wagner <wagner@linux.de>  Sat, 21 Mar 1998 08:37:28 +0100

qps (1.3-2) unstable; urgency=low

  * fixed Bug #16635 (linked with libc5 still,statically linked with Qt)
  * fixed Bug #13410 (qps-1.2 avaibalbe)
  * fixed Bug #13629
  * fixed Bug #16332
  * fixed Bug #17987
  * should be now in contrib

 -- Hanno Wagner <wagner@linux.de>  Wed, 11 Mar 1998 06:17:55 +0100

qps (1.3-1) stable; urgency=low

  * New upstream release

 -- Hanno Wagner <wagner@linux.de>  Thu, 26 Feb 1998 05:32:57 +0100

qps (1.1-1) stable; urgency=low

  * fixed zero division bug when there is no swa
  * corrected inclusion of "running" processes (only R, W, D included)
  * don't change the sorting order if the sorting field is removed from the view
  * added %WCPU field (cpu percentage averaged over 30 s)
  * added PLCY and RPRI fields for Posix.1b realtime scheduling
  * dialog to change scheduling and/or realtime priority (Posix.1b)
  * option to toggle the auto-saving of settings, and explicitly save them
  * various cosmetic changes
  * WCHAN is displayed in symbolic form (reading symbols from System.map)
  * fixed RSS and SWAP to use resident rather than rss
  * made the CrossBox less deep and more visually obvious
  * fixed display of TIME to change format at long runtimes
  * added Socket Info option and socket info window
  * added some keyboard accelerators
  * status bar rearrangement/facelift
  * added load graph
  * added icon (with load graph if needed). Use qembed to build default icon
  * removed the legend window, added tooltips for headings instead
  * removed close button in modeless dialogs, then put it back again (hard work)

 -- Hanno Wagner <wagner@linux.de>  Mon, 16 Jun 1997 10:08:49 +0200

qps (1.0-2) stable; urgency=low

  * Bugfixes before publishing

 -- Hanno Wagner <wagner@linux.de>  Thu, 17 Apr 1997 17:25:26 +0100

qps (1.0-1) stable; urgency=low

  * Initial Release.

 -- Hanno Wagner <wagner@linux.de>  Thu, 17 Apr 1997 10:33:00 +0100

Changes from version 0.1 to 1.0:

* Field selection dialog
* Menu option to hide the command path in CMDLINE, reducing clutter
* Menu option to hide the status bar
* Extended status bar (uptime, cpu graph)
* Renice is now always absolute (for simplicity); no "=" is needed.
* Some fields added (flags, wchan, start)
* Geometry and other settings are read from $(HOME)/.qps-settings,
  and saved when closed
