=== debian/control ===
Source: qps
Section: contrib
Priority: optional
Maintainer: Hanno Wagner <wagner@linux.de>
Standards-Version: 2.3.0.1

Package: qps
Architecture: any
Depends: ${shlibs:Depends}
Description: Qt based process status monitor
 qps is an X11/Qt version of top or ps.
 qps is for Linux only, since there is no good standard
 way of getting process status information.  It uses the
 /proc file system and need not to be run as root.
