=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Modified for qps by Rince.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

QTDIR=/usr/lib/qt2

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE) QTDIR=${QTDIR}
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	dh_clean
	-$(MAKE) QTDIR=${QTDIR} -i clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs usr/bin usr/man/man1
	$(MAKE) QTDIR=${QTDIR}
	cp qps debian/tmp/usr/bin/
	dh_installdocs CHANGES README debian/qt2.waiver
	dh_installchangelogs
	dh_installmanpages
	dh_strip
	dh_compress
	dh_installdeb
	dh_fixperms
	dh_shlibdeps qps
	dh_gencontrol	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
