## qps 1.9.7.0

=== Makefile ===
--- 
+++ 
@@ -4,14 +4,12 @@
 # First, make sure INCLUDES and LDPATHS lines contain paths to the include
 # and library directories for Qt.
 #
-QTDIR=/usr/local/qt
 INCLUDES=-I$(QTDIR)/include
 LDPATHS=-L$(QTDIR)/lib
 
 #
 # Then, uncomment the right LIBS line for your architecture below:
 #
-
 # Linux: (You may have to add -lX11, in case your linker complains)
 LIBS=-lqt -lm
 
@@ -29,8 +27,16 @@
 #
 CXX=g++
 
+#
+# If you want MOSIX support (a cluster system for Linux), uncomment this
+# line. Qps runs on MOSIX systems without it, but this gives it added
+# functionality. See http://www.mosix.cs.huji.ac.il/ for more info.
+#
+#MOSIX=-DMOSIX
+
 # You may need -fno-rtti in CXXFLAGS to compile with recent gcc/egcs versions.
-CXXFLAGS=-g -O2 -Wall -W -Wconversion -pipe $(INCLUDES)
+CXXFLAGS= -g $(MOSIX) -O2 -Wall -W -Wconversion $(INCLUDES) 
+
 LDFLAGS=-g $(LDPATHS) $(LIBS)
