## qps 1.9.18.6

=== Makefile ===
#############################################################################
# Makefile for building: qps
# Generated by qmake (1.07a) (Qt 3.3.6) on: Sun Sep 10 23:02:00 2006
# Project:  qps.pro
# Template: app
# Command: $(QMAKE) -after  "CONFIG ~= s/warn_off/warn_on" "QMAKE_CXXFLAGS_RELEASE = -g -O2" "QMAKE_POST_LINK ~= s/strip/:" -o Makefile qps.pro
#############################################################################

####### Compiler, tools and options

CC       = gcc
CXX      = g++
LEX      = flex
YACC     = yacc
CFLAGS   = -pipe -Wall -W -O2 -D_REENTRANT  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT
CXXFLAGS = -pipe -Wall -W -g -O2 -D_REENTRANT  -DQT_NO_DEBUG -DQT_THREAD_SUPPORT -DQT_SHARED -DQT_TABLET_SUPPORT
LEXFLAGS = 
YACCFLAGS= -d
INCPATH  = -I/usr/share/qt3/mkspecs/default -I. -I/usr/include/qt3 -I.ui/ -I.moc/
LINK     = g++
LFLAGS   = 
LIBS     = $(SUBLIBS) -L/usr/share/qt3/lib -L/usr/X11R6/lib -lqt-mt -lXext -lX11 -lm -lpthread
AR       = ar cqs
RANLIB   = 
MOC      = /usr/share/qt3/bin/moc
UIC      = /usr/share/qt3/bin/uic
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
INSTALL_FILE= $(COPY_FILE)
INSTALL_DIR = $(COPY_DIR)
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
MKDIR    = mkdir -p

####### Output directory

OBJECTS_DIR = .obj/

####### Files

HEADERS = qps.h \
		pstable.h \
		dialogs.h \
		fieldsel.h \
		scheddlg.h \
		prefs.h \
		infobar.h \
		htable.h \
		lookup.h \
		details.h \
		command.h \
		qttableview.h \
		trayicon.h \
		misc.h
SOURCES = qps.cpp \
		pstable.cpp \
		proc.cpp \
		uidstr.cpp \
		ttystr.cpp \
		dialogs.cpp \
		infobar.cpp \
		fieldsel.cpp \
		scheddlg.cpp \
		wchan.cpp \
		prefs.cpp \
		htable.cpp \
		lookup.cpp \
		details.cpp \
		command.cpp \
		qttableview.cpp \
		trayicon.cpp \
		misc.cpp
OBJECTS = .obj/qps.o \
		.obj/pstable.o \
		.obj/proc.o \
		.obj/uidstr.o \
		.obj/ttystr.o \
		.obj/dialogs.o \
		.obj/infobar.o \
		.obj/fieldsel.o \
		.obj/scheddlg.o \
		.obj/wchan.o \
		.obj/prefs.o \
		.obj/htable.o \
		.obj/lookup.o \
		.obj/details.o \
		.obj/command.o \
		.obj/qttableview.o \
		.obj/trayicon.o \
		.obj/misc.o
FORMS = 
UICDECLS = 
UICIMPLS = 
SRCMOC   = .moc/moc_qps.cpp \
		.moc/moc_pstable.cpp \
		.moc/moc_dialogs.cpp \
		.moc/moc_fieldsel.cpp \
		.moc/moc_scheddlg.cpp \
		.moc/moc_prefs.cpp \
		.moc/moc_infobar.cpp \
		.moc/moc_htable.cpp \
		.moc/moc_lookup.cpp \
		.moc/moc_details.cpp \
		.moc/moc_command.cpp \
		.moc/moc_qttableview.cpp \
		.moc/moc_trayicon.cpp \
		.moc/moc_misc.cpp
OBJMOC = .obj/moc_qps.o \
		.obj/moc_pstable.o \
		.obj/moc_dialogs.o \
		.obj/moc_fieldsel.o \
		.obj/moc_scheddlg.o \
		.obj/moc_prefs.o \
		.obj/moc_infobar.o \
		.obj/moc_htable.o \
		.obj/moc_lookup.o \
		.obj/moc_details.o \
		.obj/moc_command.o \
		.obj/moc_qttableview.o \
		.obj/moc_trayicon.o \
		.obj/moc_misc.o
DIST	   = qps.pro
QMAKE_TARGET = qps
DESTDIR  = 
TARGET   = qps

first: all
####### Implicit rules

.SUFFIXES: .c .o .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o $@ $<

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o $@ $<

####### Build rules

all: Makefile $(TARGET)

$(TARGET):  $(UICDECLS) $(OBJECTS) $(OBJMOC)  
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(OBJMOC) $(OBJCOMP) $(LIBS)

mocables: $(SRCMOC)
uicables: $(UICDECLS) $(UICIMPLS)

$(MOC): 
	( cd $(QTDIR)/src/moc && $(MAKE) )

Makefile: qps.pro  /usr/share/qt3/mkspecs/default/qmake.conf /usr/share/qt3/lib/libqt-mt.prl
	$(QMAKE) -after  "CONFIG ~= s/warn_off/warn_on" "QMAKE_CXXFLAGS_RELEASE = -g -O2" "QMAKE_POST_LINK ~= s/strip/:" -o Makefile qps.pro
qmake: 
	@$(QMAKE) -after  "CONFIG ~= s/warn_off/warn_on" "QMAKE_CXXFLAGS_RELEASE = -g -O2" "QMAKE_POST_LINK ~= s/strip/:" -o Makefile qps.pro

dist: 
	@mkdir -p .obj/qps && $(COPY_FILE) --parents $(SOURCES) $(HEADERS) $(FORMS) $(DIST) .obj/qps/ && ( cd `dirname .obj/qps` && $(TAR) qps.tar qps && $(GZIP) qps.tar ) && $(MOVE) `dirname .obj/qps`/qps.tar.gz . && $(DEL_FILE) -r .obj/qps

mocclean:
	-$(DEL_FILE) $(OBJMOC)
	-$(DEL_FILE) $(SRCMOC)

uiclean:

yaccclean:
lexclean:
clean: mocclean
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) $(TARGET)


FORCE:

####### Compile

.obj/qps.o: qps.cpp icon/icon.xpm \
		qps.h \
		dialogs.h \
		scheddlg.h \
		lookup.h \
		svec.cpp \
		trayicon.h \
		misc.h \
		svec.h \
		pstable.h \
		proc.h \
		infobar.h \
		fieldsel.h \
		details.h \
		prefs.h \
		command.h \
		htable.h \
		qttableview.h \
		config.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/qps.o qps.cpp

.obj/pstable.o: pstable.cpp pstable.h \
		proc.h \
		global.h \
		svec.cpp \
		htable.h \
		qttableview.h \
		svec.h \
		config.h \
		qps.h \
		misc.h \
		infobar.h \
		fieldsel.h \
		details.h \
		prefs.h \
		command.h \
		lookup.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/pstable.o pstable.cpp

.obj/proc.o: proc.cpp qps.h \
		proc.h \
		svec.cpp \
		uidstr.h \
		ttystr.h \
		wchan.h \
		details.h \
		misc.h \
		proc_common.cpp \
		svec.h \
		pstable.h \
		infobar.h \
		fieldsel.h \
		prefs.h \
		command.h \
		htable.h \
		qttableview.h \
		config.h \
		lookup.h \
		global.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/proc.o proc.cpp

.obj/uidstr.o: uidstr.cpp uidstr.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/uidstr.o uidstr.cpp

.obj/ttystr.o: ttystr.cpp ttystr.h \
		config.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/ttystr.o ttystr.cpp

.obj/dialogs.o: dialogs.cpp dialogs.h \
		qps.h \
		misc.h \
		svec.h \
		pstable.h \
		proc.h \
		infobar.h \
		fieldsel.h \
		details.h \
		prefs.h \
		command.h \
		htable.h \
		qttableview.h \
		config.h \
		lookup.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/dialogs.o dialogs.cpp

.obj/infobar.o: infobar.cpp global.h \
		infobar.h \
		proc.h \
		qps.h \
		misc.h \
		svec.h \
		pstable.h \
		fieldsel.h \
		details.h \
		prefs.h \
		command.h \
		htable.h \
		qttableview.h \
		config.h \
		lookup.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/infobar.o infobar.cpp

.obj/fieldsel.o: fieldsel.cpp fieldsel.h \
		proc.h \
		config.h \
		svec.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/fieldsel.o fieldsel.cpp

.obj/scheddlg.o: scheddlg.cpp scheddlg.h \
		dialogs.h \
		misc.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/scheddlg.o scheddlg.cpp

.obj/wchan.o: wchan.cpp config.h \
		wchan.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/wchan.o wchan.cpp

.obj/prefs.o: prefs.cpp prefs.h \
		qps.h \
		global.h \
		misc.h \
		svec.h \
		pstable.h \
		proc.h \
		infobar.h \
		fieldsel.h \
		details.h \
		command.h \
		htable.h \
		qttableview.h \
		config.h \
		lookup.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/prefs.o prefs.cpp

.obj/htable.o: htable.cpp htable.h \
		svec.cpp \
		qps.h \
		global.h \
		misc.h \
		qttableview.h \
		svec.h \
		pstable.h \
		proc.h \
		infobar.h \
		fieldsel.h \
		details.h \
		prefs.h \
		command.h \
		config.h \
		lookup.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/htable.o htable.cpp

.obj/lookup.o: lookup.cpp lookup.h \
		svec.cpp \
		svec.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/lookup.o lookup.cpp

.obj/details.o: details.cpp details.h \
		qps.h \
		svec.cpp \
		config.h \
		htable.h \
		proc.h \
		lookup.h \
		qttableview.h \
		svec.h \
		misc.h \
		pstable.h \
		infobar.h \
		fieldsel.h \
		prefs.h \
		command.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/details.o details.cpp

.obj/command.o: command.cpp command.h \
		qps.h \
		proc.h \
		uidstr.h \
		svec.cpp \
		dialogs.h \
		global.h \
		misc.h \
		config.h \
		svec.h \
		pstable.h \
		infobar.h \
		fieldsel.h \
		details.h \
		prefs.h \
		htable.h \
		qttableview.h \
		lookup.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/command.o command.cpp

.obj/qttableview.o: qttableview.cpp qttableview.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/qttableview.o qttableview.cpp

.obj/trayicon.o: trayicon.cpp trayicon.h \
		global.h \
		qps.h \
		misc.h \
		svec.h \
		pstable.h \
		proc.h \
		infobar.h \
		fieldsel.h \
		details.h \
		prefs.h \
		command.h \
		htable.h \
		qttableview.h \
		config.h \
		lookup.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/trayicon.o trayicon.cpp

.obj/misc.o: misc.cpp misc.h \
		global.h \
		icon/x1.xpm \
		icon/x2.xpm \
		icon/letters.xpm \
		qps.h \
		svec.h \
		pstable.h \
		proc.h \
		infobar.h \
		fieldsel.h \
		details.h \
		prefs.h \
		command.h \
		htable.h \
		qttableview.h \
		config.h \
		lookup.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/misc.o misc.cpp

.obj/moc_qps.o: .moc/moc_qps.cpp  qps.h misc.h \
		svec.h \
		pstable.h \
		proc.h \
		infobar.h \
		fieldsel.h \
		details.h \
		prefs.h \
		command.h \
		htable.h \
		qttableview.h \
		config.h \
		lookup.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_qps.o .moc/moc_qps.cpp

.obj/moc_pstable.o: .moc/moc_pstable.cpp  pstable.h htable.h \
		proc.h \
		qttableview.h \
		svec.h \
		config.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_pstable.o .moc/moc_pstable.cpp

.obj/moc_dialogs.o: .moc/moc_dialogs.cpp  dialogs.h misc.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_dialogs.o .moc/moc_dialogs.cpp

.obj/moc_fieldsel.o: .moc/moc_fieldsel.cpp  fieldsel.h proc.h \
		config.h \
		svec.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_fieldsel.o .moc/moc_fieldsel.cpp

.obj/moc_scheddlg.o: .moc/moc_scheddlg.cpp  scheddlg.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_scheddlg.o .moc/moc_scheddlg.cpp

.obj/moc_prefs.o: .moc/moc_prefs.cpp  prefs.h misc.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_prefs.o .moc/moc_prefs.cpp

.obj/moc_infobar.o: .moc/moc_infobar.cpp  infobar.h misc.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_infobar.o .moc/moc_infobar.cpp

.obj/moc_htable.o: .moc/moc_htable.cpp  htable.h qttableview.h \
		svec.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_htable.o .moc/moc_htable.cpp

.obj/moc_lookup.o: .moc/moc_lookup.cpp  lookup.h svec.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_lookup.o .moc/moc_lookup.cpp

.obj/moc_details.o: .moc/moc_details.cpp  details.h config.h \
		htable.h \
		proc.h \
		lookup.h \
		qttableview.h \
		svec.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_details.o .moc/moc_details.cpp

.obj/moc_command.o: .moc/moc_command.cpp  command.h proc.h \
		misc.h \
		config.h \
		svec.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_command.o .moc/moc_command.cpp

.obj/moc_qttableview.o: .moc/moc_qttableview.cpp  qttableview.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_qttableview.o .moc/moc_qttableview.cpp

.obj/moc_trayicon.o: .moc/moc_trayicon.cpp  trayicon.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_trayicon.o .moc/moc_trayicon.cpp

.obj/moc_misc.o: .moc/moc_misc.cpp  misc.h 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o .obj/moc_misc.o .moc/moc_misc.cpp

.moc/moc_qps.cpp: $(MOC) qps.h
	$(MOC) qps.h -o .moc/moc_qps.cpp

.moc/moc_pstable.cpp: $(MOC) pstable.h
	$(MOC) pstable.h -o .moc/moc_pstable.cpp

.moc/moc_dialogs.cpp: $(MOC) dialogs.h
	$(MOC) dialogs.h -o .moc/moc_dialogs.cpp

.moc/moc_fieldsel.cpp: $(MOC) fieldsel.h
	$(MOC) fieldsel.h -o .moc/moc_fieldsel.cpp

.moc/moc_scheddlg.cpp: $(MOC) scheddlg.h
	$(MOC) scheddlg.h -o .moc/moc_scheddlg.cpp

.moc/moc_prefs.cpp: $(MOC) prefs.h
	$(MOC) prefs.h -o .moc/moc_prefs.cpp

.moc/moc_infobar.cpp: $(MOC) infobar.h
	$(MOC) infobar.h -o .moc/moc_infobar.cpp

.moc/moc_htable.cpp: $(MOC) htable.h
	$(MOC) htable.h -o .moc/moc_htable.cpp

.moc/moc_lookup.cpp: $(MOC) lookup.h
	$(MOC) lookup.h -o .moc/moc_lookup.cpp

.moc/moc_details.cpp: $(MOC) details.h
	$(MOC) details.h -o .moc/moc_details.cpp

.moc/moc_command.cpp: $(MOC) command.h
	$(MOC) command.h -o .moc/moc_command.cpp

.moc/moc_qttableview.cpp: $(MOC) qttableview.h
	$(MOC) qttableview.h -o .moc/moc_qttableview.cpp

.moc/moc_trayicon.cpp: $(MOC) trayicon.h
	$(MOC) trayicon.h -o .moc/moc_trayicon.cpp
