=== debian/changelog ===
qps (1.10.16+20151210-1) unstable; urgency=medium

  * Cherry-picking upstream version 1.10.16+20151210.
  * Removed dbg package in favor of dbgsym.
  * Removed unused files and licenses from copyright.
  * Installed manpage.

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Dec 2015 03:37:11 +0100

qps (1.10.16+20150823-1) unstable; urgency=medium

  * Initial Release (Closes: #795697)

 -- Alf Gaida <agaida@siduction.org>  Sun, 06 Sep 2015 02:17:51 +0200
