## qps 1.10.16-29-g7e679db

=== debian/changelog ===
qps (1.10.16-29-g7e679db-1) unstable; urgency=medium

  * Cherry-picking upstream version 1.10.16-29-g7e679db.
  * Removed patches, applied upstream
  * Fixed VCS fields, using plain /git/
  * Fixed copyrights Format field, using https
  * Exported LC_ALL=C.UTF-8 to prevent problems with reproducible builds
  * Set CMAKE_BUILD_TYPE=RelWithDebInfo

 -- Alf Gaida <agaida@siduction.org>  Fri, 22 Jul 2016 18:47:51 +0200

qps (1.10.16+20151210-3) unstable; urgency=medium

  * Fixed Architecture - qps supports in the current state only
    linux and solaris kernels#
  * Bump Standards to 3.9.8, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Sat, 09 Jul 2016 11:28:10 +0200

qps (1.10.16+20151210-2) unstable; urgency=medium

  * Bump Standards to 3.9.7
  * Secured VCS-Fields
  * Fix years in copyright
  * Add hardening=+all
  * Fix new grep behaviour in LXQtTranslateDesktop.cmake 

 -- Alf Gaida <agaida@siduction.org>  Thu, 25 Feb 2016 23:37:08 +0100
