=== debian/changelog ===
qps (1.10.17-2) unstable; urgency=medium

  * Bumped Standards to 4.1.2
  * Removed branch from VCS fields
  * Removed debian/gbp.conf 

 -- Alf Gaida <agaida@siduction.org>  Fri, 15 Dec 2017 17:08:38 +0100

qps (1.10.17-1) unstable; urgency=medium

  * Cherry-picking upstream-version 1.10.17.
  * Bumped Standards to 4.1.0 - no changes needed
  * Changed CMAKE_BUILD_TYPE to RelWithDebInfo
  * Bumped dephelper to >= 10 and compat to 10 - removed --parallel from rules

 -- Alf Gaida <agaida@siduction.org>  Fri, 22 Sep 2017 00:41:35 +0200
