=== debian/control ===
--- 
+++ 
@@ -5,15 +5,15 @@
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: x11
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                cmake (>= 3.0.2),
                libxrender-dev,
                libqt5x11extras5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/pkg-lxqt/qps.git/?h=debian/sid
-Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/qps.git -b debian/sid
+Standards-Version: 4.1.2
+Vcs-Browser: https://anonscm.debian.org/git/pkg-lxqt/qps.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-lxqt/qps.git
 Homepage: https://github.com/qtdesktop/qps
 
 Package: qps
