=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
    https://github.com/QtDesktop/qps/releases .*/qps-([\d\.]+).tar.xz
