=== debian/changelog ===
qps (1.10.18-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Oct 2018 16:29:52 -0700

qps (1.10.18-1) unstable; urgency=medium

  * Cherry-picking upstream-version 1.10.18.

 -- Alf Gaida <agaida@siduction.org>  Mon, 21 May 2018 18:51:56 +0200

qps (1.10.17-3) unstable; urgency=medium

  * Bumped compat to 11
  * Bumped debhelper to >= 11~
  * Removed not needed cmake minimum version
  * Bumped Standards to 4.1.4, no changes needed
  * Changed VCS fields for salsa
  * Changed Homepage, Source and watch to lxqt
  * Bumped year in copyright
  * Removed trailing whitespaces in changelog

 -- Alf Gaida <agaida@siduction.org>  Sat, 28 Apr 2018 19:04:42 +0200
