=== src/CMakeLists.txt ===
--- 
+++ 
@@ -71,7 +71,7 @@
 lxqt_translate_ts(QM_FILES
     UPDATE_TRANSLATIONS ${UPDATE_TRANSLATIONS}
     SOURCES ${SOURCES} ${HEADERS} ${UIS}
-    INSTALL_DIR "${QPS_TRANSLATIONS_DIR}/${PROJECT_NAME}"
+    INSTALL_DIR "${QPS_TRANSLATIONS_DIR}"
 )
 
 qt5_translation_loader(
