=== debian/changelog ===
qps (1.10.20-1ubuntu1) disco; urgency=medium

  * Lubuntuify the package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 09 Mar 2019 12:16:07 -0600

qps (1.10.20-1) unstable; urgency=medium

  * Cherry-picking upstream-version 1.10.20.

 -- Alf Gaida <agaida@siduction.org>  Mon, 25 Feb 2019 23:41:57 +0100

qps (1.10.19-1) unstable; urgency=medium

  * Cherry-picking upstream-version 1.10.19.
  * Bumped Standards to 4.3.0, no changes needed
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Removed some deprecated files from d/copyright
  * Added build dependency lxqt-build-tools (>= 0.6.0~)
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 14:05:17 +0100
