=== src/CMakeLists.txt ===
--- 
+++ 
@@ -25,8 +25,6 @@
     misc.cpp
     trayicon.cpp
     htable.cpp
-  # htable2.cpp
-  # pstable2.cpp
     qttableview.cpp
 )
 
@@ -54,8 +52,6 @@
     misc.h
     trayicon.h
     htable.h
-  # htable2.h
-  # pstable2.h
     qttableview.h
 )
