=== debian/changelog ===
qps (2.0.0-1ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:23:31 +0100

qps (2.0.0-1ubuntu1) focal; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Lubuntuify the package.

 -- Rik Mills <rikmills@kde.org>  Thu, 23 Jan 2020 18:06:16 +0000

qps (2.0.0-1) unstable; urgency=medium

  * New upstream version 2.0.0
  * Switched to gbp
  * Bumped Standards-Version to 4.4.1, no changes needed

 -- Alf Gaida <agaida@siduction.org>  Tue, 08 Oct 2019 20:56:07 +0200
